import React from 'react';
import { history } from 'umi';
import { Image } from 'antd';
import styles from './Welcome.less';
import carsImg from '../../public/assets/images/cars@3x.png';
import carsInfoImg from '../../public/assets/images/carsinfo@3x.png';
import sysImg from '../../public/assets/images/sys@3x.png';
import tableImg from '../../public/assets/images/table@3x.png';
import bgImg from '../../public/assets/images/bg@3x.png';

const Welcome: React.FC = () => {
  const jump = (string: string) => {
    history.push(string);
  };

  return (
    <div className={styles.welcome}>
      <div style={{ height: '100px' }} />
      <div className={styles.welcomeContainer}>
        <div className={styles.welcomeWrapper}>
          <div className={styles.welcomeRow}>
            <div className={styles.welcomeCol} onClick={() => jump('/basicInfo')}>
              <Image preview={false} src={carsInfoImg} />
            </div>
            <div className={styles.welcomeCol} onClick={() => jump('/basicInfo')}>
              <Image preview={false} src={sysImg} />
            </div>
          </div>
          <div className={styles.welcomeRow}>
            <div className={styles.welcomeCol} onClick={() => jump('/basicInfo')}>
              <Image preview={false} src={carsImg} />
            </div>
            <div className={styles.welcomeCol} onClick={() => jump('/basicInfo')}>
              <Image preview={false} src={tableImg} />
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default Welcome;
